package cn.superdesk.uniorder.dubbo.consumer.order._leaveover;

import cn.superdesk.uniorder.dao.entity.sys.SysBackAccount;
import cn.superdesk.uniorder.dto.vo.sys.SysBackAccountVo;
import cn.superdesk.uniorder.dubbo.facade.order._leaveover.DubboSysBackAccountService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Slf4j
@Component
public class SysBackAccountDubboConsumerService {


	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboSysBackAccountService dubboSysBackAccountService;

	public List<SysBackAccountVo> findAll(Map<String, Object> queryMap) {
		return dubboSysBackAccountService.findAll(queryMap);
	}

	public void add(SysBackAccount t) {
		dubboSysBackAccountService.addObj(t);
	}

	public SysBackAccount findById(Long id) {
		return dubboSysBackAccountService.findById(id);
	}

	public void update(SysBackAccount t) {
		dubboSysBackAccountService.updateObj(t);
	}

	public void delete(Long id) {
		dubboSysBackAccountService.deleteObj(id);
	}
}


